#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */

void MTIM_init(void) {

  MTIMMOD = 64;
  
  MTIMCLK = MTIMCLK_CLKS0_MASK | MTIMCLK_PS_MASK;
  
  MTIMSC = MTIMSC_TOIE_MASK | MTIMSC_TRST_MASK;
}

void TPM_init(void) {
  
  TPMMOD = 398;
  
  TPMSC = TPMSC_CLKSA_MASK;
  
  TPMC0V = 199;
  
  TPMC0SC = TPMC0SC_ELS0A_MASK | TPMC0SC_MS0A_MASK;
  
  TPMC1V = 199;
  
  TPMC1SC = TPMC1SC_ELS1A_MASK | TPMC1SC_MS1A_MASK;
  
}