#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */

void ICS_init(void) 
{
    ICSTRM = NVICSTRM;

    ICSSC_FTRIM = NVFTRIM_FTRIM;
    
    ICSC1 = ICSC1_IREFS_MASK | ICSC1_IREFSTEN_MASK;

    ICSC2 = 0;

    while (ICSSC_CLKST);
}

void KBI_init(void) {

  PTAPE = PTAPE_PTAPE6_MASK;
  
  KBIPE = KBIPE_KBIPE6_MASK;
  
  KBIES = 0;  
  
  KBISC = KBISC_KBACK_MASK | KBISC_KBIE_MASK;
  
}
